Subject: RE: [NSIS] GIST Issue 157

From: "Hancock, Robert" <[email-masked]>
Date: Fri, 23 Feb 2007 16:43:39 -0000

hi christian,

the intention is that *any* hello resets the timer; the point about
R=0 messages is that they don't do anything else.

this should be clear in the state machine part of the document,
but I've also updated the text in 5.1 as follows:

   MA-Hello: This message MUST be sent only in C-mode.  It contains the
   common header, with a NSLPID of zero, and a message identifier, the
   Hello-ID.  It always indicates that a node wishes to keep a messaging
   association open, and if sent with R=0 and null Hello-ID this is its
   only function.  A node MAY also invoke a diagnostic request/response
   exchange by setting R=1 and providing a non-zero Hello-ID; if this
   case, the peer MUST send another MA-Hello back along the messaging
   association echoing the same Hello-ID and with R=0.  Use of this
   diagnostic is entirely at the discretion of the initiating node.

robert h. 

> -----Original Message-----
> From: Christian Dickmann [mailto:[email-masked]] 
> Sent: 09 November 2006 18:35
> To: [email-masked]
> Subject: [NSIS] GIST Issue 157
> 
> Hi Robert,
> 
> I just read issue 157
> (http://nsis.srmr.co.uk/cgi-bin/roundup.cgi/nsis-ntlp-issues/i
> ssue157). 
> The text says "If sent with R=0 and null Hello-ID, it 
> indicates that a node wishes to keep a messaging association 
> open.", so a ID=0 resets the MA keep-alive timer. However, in 
> the non-zero ID the text does not explicitly state whether 
> the keep-alive timer is reset or not. Can you clarify this?
> The question is: If I want to keep the MA open AND test the 
> liveness do I have to send both types of MA-Hello?
> 
> Regards,
> Christian Dickmann
> 
> 
> 
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nsis
> 

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis